# std::mersenne_twister_engine<UIntType,w,n,m,r,a,u,d,s,b,t,c,l,f>::seed

From cppreference.com
< cpp‎ | numeric‎ | random‎ | mersenne twister engine

void seed( result_type value = default_seed ); | (1) | (since C++11)
template< class Sseq > void seed( Sseq& seq ); | (2) | (since C++11)

Reinitializes the internal state of the random-number engine using new seed value.

| This section is incomplete

### Parameters

value | - | seed value to use in the initialization of the internal state
seq | - | seed sequence to use in the initialization of the internal state

### Exceptions

(none)

### Complexity

| This section is incomplete

### Example

Run this code

    #include <iostream>
    #include <random>

    int main()
    {
        std::mt19937 gen;

        // Seed the engine with an unsigned int
        gen.seed(1);
        std::cout << "after seed by 1: " << gen() << '\n';

        // Seed the engine with two unsigned ints
        std::seed_seq sseq{1, 2};
        gen.seed(sseq);
        std::cout << "after seed by {1,2}: " << gen() << '\n';
    }

Possible output:

    after seed by 1: 1791095845
    after seed by {1,2}: 3127717181

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/numeric/random/mersenne_twister_engine/seed&oldid=67887"